ru.bitel.oss.systems.inventory.resource.common.bean

## Class IpResourceReserve

- java.lang.Object
- - ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceReserve

-     public class IpResourceReserve
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpResourceReserve(int ipResourceId, byte[] address, long timeout)` Deprecated. use `IpResourceReserve(int, byte[], short, long)`
    `IpResourceReserve(int ipResourceId, byte[] address, short prefixLength, long timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAddress()`
    `int` | `getIpResourceId()`
    `short` | `getPrefixLength()`
    `long` | `getReserveTime()`
    `long` | `getTimeout()` Возвращает время, после которого данный резерв нужно освободить.
    `void` | `setAddress(byte[] address)`
    `void` | `setIpResourceId(int ipResourceId)`
    `void` | `setPrefixLength(short prefixLength)`
    `void` | `setReserveTime(long reserveTime)`
    `void` | `setTimeout(long timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IpResourceReserve

          public IpResourceReserve(int ipResourceId,
                                   byte[] address,
                                   short prefixLength,
                                   long timeout)

      Parameters:
        `ipResourceId` -
        `address` -
        `prefixLength` - 32 for ipv4
        `timeout` -

    - #### IpResourceReserve

          @Deprecated
          public IpResourceReserve(int ipResourceId,
                                               byte[] address,
                                               long timeout)

      Deprecated. use `IpResourceReserve(int, byte[], short, long)`
      Parameters:
        `ipResourceId` -
        `address` -
        `timeout` -

  - ### Method Detail

    - #### getIpResourceId

          public int getIpResourceId()

    - #### setIpResourceId

          public void setIpResourceId(int ipResourceId)

    - #### getAddress

          public byte[] getAddress()

    - #### setAddress

          public void setAddress(byte[] address)

    - #### getPrefixLength

          public short getPrefixLength()

    - #### setPrefixLength

          public void setPrefixLength(short prefixLength)

    - #### getTimeout

          public long getTimeout()

      Возвращает время, после которого данный резерв нужно освободить.
      Returns:

    - #### setTimeout

          public void setTimeout(long timeout)

    - #### getReserveTime

          public long getReserveTime()

    - #### setReserveTime

          public void setReserveTime(long reserveTime)